Bruce Momjian <br...@momjian.us> writes:
> Attached is a patch that implements the suggested pg_upgrade changes of
> not copying invalid indexes now that pg_dump doesn't dump them.  This
> should be backpatched back to 8.4 to match pg_dump.  It might require
> release note updates;  not sure.  Previously pg_upgrade threw an error
> if invalid indexes exist, but only since February, when we released the
> pg_upgrade fix to do this.  You can see the majority of this patch is
> removing that check.

Surely that should be LEFT JOIN not RIGHT JOIN?

                        regards, tom lane


-- 
Sent via pgsql-hackers mailing list (pgsql-hackers@postgresql.org)
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgsql-hackers

Reply via email to